﻿using Prism.Events;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.EventAggregators
{
    /// <summary>
    /// 页面编辑 Vm通知View更新页面的事件
    /// </summary>
    public class PageEditNotifyEvent:PubSubEvent<PageEditNotifyEventArgs>
    {

    }

    public class PageEditNotifyEventArgs
    {
        /// <summary>
        /// 避免触发其他页签的识别码
        /// </summary>
        public string Unicode { get; set; }
    }
}
