﻿using ComPDFKit.PDFDocument;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.EditTools.Background
{
    public class BackgroundCreateModel
    {
    }

    public enum EnumBackgroundType
    {
        StatusColor,
        StatusFile
    }

    public class BackgroundInfo
    {
        public EnumBackgroundType EnumBackgroundType { get; set; }
        public byte[] Color { get; set; }
        public int Rotation { get; set; }
        public byte Opacity { get; set; }
        public bool IsRelativeRatio { get; set; }
        public int RelativeRatio { get; set; }
        public int VerticalMove { get; set; }
        public int HorizontalMove { get; set; }
        public int ImageWidth { get; set; }
        public int ImageHeight { get; set; }
        public C_Background_Vertalign BackgroundVertalign { get; set; }
        public C_Background_Horizalign BackgroundHorizalign { get; set; }
        public C_Background_Type BackgroundType { get; set; }
        public byte[] ImageArray { get; set; }
    }
}
