﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.MainPageToolsDialogs
{
    internal class MainPageSplitDialogModel
    {
        public class SplitEventClass : EventArgs
        {
            /// <summary>
            /// 拆分模式
            /// </summary>
            public SplitMode Mode;
            /// <summary>
            /// 文件名
            /// </summary>
            public string FileName;
            /// <summary>
            /// 页面信息
            /// </summary>
            public string PageRange;

        }

        public enum SplitMode
        {
            /// <summary>
            /// 按页平均拆分
            /// </summary>
            AveragePages,
            /// <summary>
            /// 按文件平均拆分
            /// </summary>
            AverageFiles,
            /// <summary>
            /// 自定义页码范围拆分
            /// </summary>
            CustomPageRange
        }
    }
}
